/* Copyright (c) 2010-2012 Zeus Project Services Pty Ltd.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package au.net.zeus.collection;

import java.io.ObjectStreamException;
import java.util.AbstractMap;
import java.util.Map;

/**
 *
 * @author peter
 */
abstract class SerializationOfReferenceMap<K,V> extends AbstractMap<K,V>{
    
    static <K,V> SerializationOfReferenceMap<K,V> create(
            Class clazz,
            Map<Referrer<K>, Referrer<V>> refmap,
            Ref type) throws InstantiationException, IllegalAccessException{
        return null;
 //       return new ReferenceMapSerialData<K,V>(clazz, refmap, type);
    }
    
    abstract Map<K,V> build() throws InstantiationException, 
            IllegalAccessException, ObjectStreamException;
}
